1. Trips
Itinera API
  • ✈ Itinera API Documentation
  • Docs
    • legacy
      • Itinera — System Overview
      • Technology Stack & Architecture
      • Getting Started Guide
      • Infrastructure
      • Frontend Application
      • Architecture Overview
      • API Reference
      • Backend Services
      • Development Guidelines
    • phases
      • 01. Architecture Overview & Checkout Idempotency
      • Phase 2: Commerce & Checkout Engine
      • Phase 3: Webhooks & Asynchronous Fulfillment
      • Phase 4: Security Perimeter & Authentication
      • Phase 5: Database Schema & Entity Relationships
      • Phase 6: AI Quota & Telemetry Subsystems
      • Phase 7: API Route Matrix & FormRequests
      • Phase 8: Global Exception & Error Handling
      • Phase 9: Frontend Ecosystem & State Management
      • Phase 10: Design System & Component Library
      • Phase 11: Interactive GSAP Animations
      • Phase 12: Deployment & CI/CD Pipeline
      • Phase 13: Testing Strategies
      • Phase 14: Performance & Optimization
      • Phase 15: Developer Onboarding & Runbooks
      • 15-Phase Comprehensive Wiki & Documentation Plan
  • APIs
    • Auth
      • Register a new user
      • Log in a user
      • Log out user
      • Refresh JWT token
      • Forgot password request
      • Reset password verification
      • Get current user profile
      • Update user profile
      • Redirect to Google OAuth
      • Google OAuth Callback
      • Verify email via signed URL
    • Catalog
      • List all countries
      • Get country details
      • List all cities
      • List all regions
      • List all destinations
      • Get destination details
      • Get hotels by destination
      • List all hotels
      • Get hotel details
      • Get reviews for a hotel
      • List all flights
      • Get flight details
      • List all restaurants
      • Get restaurant details
      • List all attractions
      • Get current weather
      • Submit review for an entity
      • Delete review
      • Toggle favourite status for entity
      • List my submitted reviews
    • Bookings
      • Book a tour destination
    • V1 Aliases
      • V1 List all countries
      • V1 Get country details
      • V1 List all cities
      • V1 List all destinations
      • V1 Get destination details
      • V1 Get hotels by destination
      • V1 List all hotels
      • V1 Get hotel details
      • V1 Get reviews for a hotel
      • V1 List all flights
      • V1 Get flight details
      • V1 List all restaurants
      • V1 Get restaurant details
      • V1 List all attractions
      • V1 Get attraction details
      • V1 List all regions
      • V1 Get weather details
    • Trips
      • List user trips
        GET
      • Create a new trip
        POST
      • Get trip details
        GET
      • Update trip details
        PUT
      • Delete a trip
        DELETE
      • Get creation metadata
        GET
      • Attach items to a trip
        POST
      • Update trip item
        PUT
      • Detach items from a trip
        DELETE
      • Fork a trip
        POST
    • Conversations
      • List user conversations
      • Start a new conversation
      • Get conversation details
      • List messages in conversation
      • Send message to conversation
      • Mark conversation as read
    • Commerce Plans
      • List public plans
      • Get public plan details
    • Commerce Subscriptions
      • Subscribe to a plan
      • Upgrade active plan
      • Get active subscription info
      • Cancel active subscription
    • Commerce Checkout
      • Initiate Paymob payment checkout
    • Integrations
      • Paymob status webhook callback
      • Paymob redirect return callback
    • System Settings & Support
      • Submit public contact message
      • Subscribe to system newsletter
      • Get list of my reports
      • List all notifications
      • Mark single notification as read
      • List available surveys
      • Submit answers for survey
      • Get survey details
      • Update survey details
      • Delete survey response
    • AI Tools
      • Enhance itinerary details using AI
      • Request AI review of itinerary
      • Plan route using AI assistance
      • Get AI quota remaining details
      • Chat with AI Concierge assistant
      • Get AI Review progress by ID
    • Agency Integration
      • Request agency assignment
      • List agency active tasks
      • List agency managed trips
      • Get agency total earnings
      • Get agency profile details
      • Update agency profile details
    • Admin User Management
      • List users inside admin dashboard
      • Get user profile
      • Set user active status
      • Block user profile
    • Admin Catalog Moderation
      • Create new catalog category
      • Create new catalog destination
      • Create new hotel catalog record
      • Create new flight catalog record
      • Create new restaurant catalog record
      • Create new attraction catalog record
  • Schemas
    • User
    • ErrorResponse
    • Trip
    • Destination
    • Hotel
    • Flight
    • Restaurant
    • Attraction
    • Booking
    • Review
    • Agency
    • Survey
  1. Trips

Get trip details

Cloud Mock
https://mock.apidog.com/m1/1364933-0-default
Cloud Mock
https://mock.apidog.com/m1/1364933-0-default
GET
/trips/{trip}

Request

Path Params

Responses

🟢200OK
application/json
Trip details
Bodyapplication/json

🟠401Unauthorized
🟠404Record Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://mock.apidog.com/m1/1364933-0-default/trips/'
Response Response Example
200 - Success Example
{
    "success": true,
    "message": "Trips retrieved successfully",
    "data": {
        "id": 101,
        "user_id": 42,
        "title": "Summer Holiday in Greece",
        "travel_style": "beach",
        "interests": [
            "hiking",
            "beaches"
        ],
        "no_of_travelers": 2,
        "budget": 2500,
        "no_of_days": 7,
        "start_date": "2026-07-01",
        "end_date": "2026-07-08",
        "status": "planned",
        "estimated_cost": 2100,
        "is_public": true,
        "itinerary_items": [
            {
                "id": 1,
                "itemable_type": "App\\Models\\Catalog\\Hotel",
                "itemable_id": 12,
                "itemable": {
                    "id": 12,
                    "name": "Volcano View Hotel",
                    "price_per_night": 250
                },
                "day_number": 1,
                "item_order": 1,
                "type": "accommodation",
                "time_slot": "morning",
                "title": "Check-in Volcano View Hotel",
                "notes": "Enjoy the caldera sunset view.",
                "estimated_cost": 250,
                "latitude": 36.3932,
                "longitude": 25.4615,
                "location_label": "Santorini"
            }
        ]
    }
}
Modified at 2026-08-23 23:05:14
Previous
Create a new trip
Next
Update trip details
Built with